haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.GIR.Method

# Documentation

data Method Source #

Constructors

Method |

Fields

- methodName :: Name
- methodSymbol :: Text

  The symbol in the dynlib that this method refers to.

- methodType :: MethodType
- methodMovedTo :: Maybe Text
- methodCallable :: Callable

#### Instances

Instances details

Show Method Source # |
Instance details Defined in Data.GI.GIR.Method Methods showsPrec :: Int -> Method -> ShowS Source # show :: Method -> String Source # showList :: [Method] -> ShowS Source #
Eq Method Source # |
Instance details Defined in Data.GI.GIR.Method Methods (==) :: Method -> Method -> Bool Source # (/=) :: Method -> Method -> Bool Source #

data MethodType Source #

Constructors

Constructor | Constructs an instance of the parent type
MemberFunction | A function in the namespace
OrdinaryMethod | A function taking the parent instance as first argument.

#### Instances

Instances details

Show MethodType Source # |
Instance details Defined in Data.GI.GIR.Method Methods showsPrec :: Int -> MethodType -> ShowS Source # show :: MethodType -> String Source # showList :: [MethodType] -> ShowS Source #
Eq MethodType Source # |
Instance details Defined in Data.GI.GIR.Method Methods (==) :: MethodType -> MethodType -> Bool Source # (/=) :: MethodType -> MethodType -> Bool Source #

parseMethod :: MethodType -> Parser Method Source #